<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header font-family-sty" style="font-size: 28px;">รูปแบบผลิตภัณฑ์ - Housing Loan</a>
      </div>
      <p class="pps-header_th font-family-sty">
        เพิ่มรายละเอียดเกี่ยวกับรูปแบบผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null) && userRole === 'PO'">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>

<!-- ============================================================================================================== -->

<!-- function ลูกศรย้อนกลับ / หน้าถัดไป -->
<div>
  <div class="row">
    <div class="col-md-12">
      <div (click)="nextpage('back')" class="button-next pull-left" *ngIf="checkLocal !== '0' && checkLocal !== 'A'">
        &lt; ย้อนกลับ
      </div>
      <div (click)="nextpage('next')" class="button-next pull-right"
        [ngClass]="{'button-next-non': pageLast === 'last'}">
        รูปแบบผลิตภัณฑ์หน้าถัดไป &gt;
      </div>
      <br />
    </div>
  </div>
</div>

<br /><br /><br />
<!-- ========================================================================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-housing-loan [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-housing-loan>
        <!-- ----------------------------------------อัปโหลดเอกสาร-------------------------------------------------- -->
        <div *ngIf="(validate === true || validate === null) && userRole === 'PO'">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="table_files">
            <table mat-table [dataSource]="dataSource_file" style="width: 100% !important;">
              <!-- Position Column -->
              <ng-container matColumnDef="fileName">
                <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                <td mat-cell *matCellDef="let element">
                  {{ element.fileName }}
                </td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="fileSize">
                <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                <td mat-cell *matCellDef="let element">
                  {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                </td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element; let index = index">
                  <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                  (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                  (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                  <a class="pipe">|</a>
                  <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
            </table>
          </div>
          <br />
          <br />
          <br />
        </div>
        <!-- =============================================================== -->
      </div>
    </div>
  </div>
  <!-- ============================================Read Only========================================================= -->
  <div *ngFor="let present of listSummaryStep4_3 ; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <!-- ------------------------------------------------------------------- -->
          <div style="margin-left: 10px;">
            <!-- -------------------------------------รายละเอียดของแต่ละกลุ่มเป้าหมาย-------------------------------------------- -->
            <div style="background-color: #ffffff;">
              <div class="mt-3 row">
                <div class="col-12">
                  <div class="detail-each-group col-12">
                    <div class="d-flex" style="align-items: flex-end;">
                      <label class="head-detal">รายละเอียดของสินเชื่อ</label>
                      <!-- <button class="btn btn-primary add-data" (click)="add(1)">
                <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
              </button> -->
                    </div>
                    <hr />
                  </div>
                </div>

                <div class="mt-2 detail-each-group">
                  <div class="col-12 table-responsives">
                    <table>
                      <tr>
                        <th rowspan="2" *ngFor="let header of header">
                          {{ header.value }}
                        </th>
                        <th colspan="3" style="border-bottom: 1px solid #999999;">
                          อัตราดอกเบี้ยค่าธรรมเนียม (%)
                        </th>
                        <!-- <th rowspan="2" style="width: 8%;"></th> -->
                        <!-- <th>&nbsp;test</th> -->
                      </tr>
                      <tr>
                        <th *ngFor="let sub of sub_header">{{ sub.value }}</th>
                      </tr>

                      <tr *ngFor="
                        let row of stepThree_3.requestHousingCredit;
                        let index = index
                      ">
                        <td *ngFor="let header of all_header">
                          <!-- <input [ngClass]="{
                    'text-align-left':
                      header.name == 'loandType' || header.name == 'limitType'
                  }" class="form-control" [(ngModel)]="row[header.name]" /> -->
                          <label [ngClass]="{
                            'text-align-left':
                              header.name == 'loandType' ||
                              header.name == 'limitType'
                          }">{{ row[header.name] }}</label>
                        </td>
                        <!-- <td>
                  <a class="delete-text-SME-M" (click)="delete(1, row, index)">ลบข้อมูล</a>
                </td> -->
                      </tr>
                    </table>
                    <div class="mt-1 col-12 detail-Credit" style="align-content: flex-end;">
                      <!-- <button class="btn btn-primary add-data" (click)="add(1)">
                      <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                    </button> -->
                    </div>
                  </div>
                </div>
              </div>
              <br />
            </div>

            <!-- ---------------------------------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">
                  ลักษณะข้อตกลง
                  <label class="type-collateral" style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ข้อมูล)</label>
                </p>
              </div>
              <div class="col-12 body-detal-checkbox">
                <div class="align-items-stretch checkbox-layout">
                  <div class="d-flex bd-highlight checkbox-box" *ngFor="let check of stepThree_3.agreement">
                    <mat-checkbox [(ngModel)]="check.flag" (change)="changeCheckbox()" disabled>
                    </mat-checkbox>
                    <div class="bd-highlight checkbox-detail" [ngStyle]="{
                      color: check.flag == false ? '#999999' : 'black'
                    }">
                      {{ check.topic }}
                    </div>
                  </div>
                </div>
              </div>
              <br />
            </div>
            <br />
            <div class="type_check">
              <label class="type-collateral">กลุ่มเป้าหมาย </label>
              <label class="type-collateral" style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ข้อมูล)</label>
              <div class="row">
                <div class="body-detal-checkbox-last">
                  <div class="align-items-stretch checkbox-layout">
                    <div class="d-flex bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="stepThree_3.target[0].flag" (ngModelChange)="changeValue_Gain()"
                        disabled>
                      </mat-checkbox>
                      <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color:
                          stepThree_3.target[0].flag == false
                            ? '#999999'
                            : 'black'
                      }">
                        {{ stepThree_3.target[0].topic }}
                      </div>
                    </div>
                  </div>
                  <div *ngFor="let check_0 of stepThree_3.target[0].child">
                    <mat-checkbox disabled class="ml-4" [(ngModel)]="check_0.flag" (ngModelChange)="changeValue_Gain()"
                      d></mat-checkbox>
                    <label [ngStyle]="{
                      color: check_0.flag == false  ? '#999999'
                      : 'black'
                    }">{{ check_0.topic }}</label>
                    <br />
                  </div>
                  <!-- ------------------------------------------ -->
                  <div class="align-items-stretch checkbox-layout">
                    <div class="d-flex bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="stepThree_3.target[1].flag" (ngModelChange)="changeValue_Gain()"
                        disabled>
                      </mat-checkbox>
                      <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color:
                          stepThree_3.target[1].flag == false
                          ? '#999999'
                          : 'black'
                      }">
                        {{ stepThree_3.target[1].topic }}
                      </div>
                    </div>
                  </div>
                  <div *ngFor="let check_1 of stepThree_3.target[1].child">
                    <mat-checkbox disabled class="ml-4" [(ngModel)]="check_1.flag" (ngModelChange)="changeValue_Gain()">
                    </mat-checkbox>
                    <label [ngStyle]="{
                      color: check_1.flag == false  ? '#999999'
                      : 'black'
                    }">{{ check_1.topic }}</label>
                    <br />
                  </div>
                </div>

                <!--------------------------------------------------------------------------------------------------- -->
                <div class="body-detal-checkbox-last">
                  <div class="align-items-stretch checkbox-layout">
                    <div class="d-flex bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="stepThree_3.target[2].flag" (ngModelChange)="changeValue_Gain()"
                        disabled>
                      </mat-checkbox>

                      <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color:
                          stepThree_3.target[2].flag == false
                          ? '#999999'
                          : 'black'
                      }">
                        {{ stepThree_3.target[2].topic }}
                      </div>
                    </div>
                  </div>

                  <div class="align-items-stretch checkbox-layout">
                    <div class="d-flex bd-highlight checkbox-box">
                      <mat-checkbox [(ngModel)]="stepThree_3.target[3].flag" (ngModelChange)="changeValue_Gain()"
                        disabled>
                      </mat-checkbox>

                      <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                        color:
                          stepThree_3.target[3].flag == false
                          ? '#999999'
                          : 'black'
                      }">
                        {{ stepThree_3.target[3].topic }}
                      </div>
                    </div>
                  </div>

                  <textarea rows="5" class="form-control mb-2" style="width: 97%;" placeholder="ระบุรายละเอียดเพิ่มเติม"
                    disabled [(ngModel)]="stepThree_3.target[3].otherDetail" (change)="changeValue_Gain()"></textarea>
                </div>
              </div>
            </div>
            <!-- ======================================================================= -->
            <div class="typeofcollateral">
              <br />
              <div class="row" style="width: 100%; margin: auto;">
                <label style="font-size: 18px;">เกณฑ์การพิจารณาสินเชื่อ</label>
              </div>
              <hr />
              <br />
              <div style="overflow: auto;">
                <!-- -----------------------------------------gain aplicant---------------------------------------- -->
                <table [ngStyle]="{
                display: index_to_create_template[0] == null ? 'none' : ''
              }">
                  <tr>
                    <th style="width: 30px; background-color: #e0e0e0;">หัวข้อ</th>
                    <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                      <a *ngIf="header != 'Undefined'">{{ header }}</a>
                      <a *ngIf="header == 'Undefined'">ไม่มีกำหนด</a>
                    </th>
                    <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                    <!-- <th>&nbsp;test</th> -->
                  </tr>
                  <tr>
                    <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                      คุณสมบัติผู้ขอสินเชื่อ
                    </th>
                    <!-- <th>
                  <button
                    class="btn btn-primary add-data-gain"
                    (click)="add_gain_credit(1)"
                  >
                    <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                  </button>
                </th> -->
                  </tr>

                  <tr *ngFor="
                  let row of stepThree_3.consider.applicant;
                  let index = index
                ">
                    <td style="width:300px">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.topic"
                    (change)="consider()"
                    placeholder="กรุณาระบุหัวข้อ"
                  /> -->
                      {{row.topic}}
                    </td>
                    <td *ngFor="let header of index_to_create_template" style="text-align:center;width:300px">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.detail[header]"
                    (change)="consider()"
                    placeholder="กรุณาระบุข้อมูล{{ row.topic }}"
                  /> -->
                      {{row.detail[header]}}
                    </td>
                    <!-- <td style="text-align: center; width: 8%;">
                  <a
                    class="delete-text-SME-M"
                    (click)="delete_gain(1, row, index)"
                    >ลบข้อมูล</a
                  >
                </td> -->
                  </tr>
                </table>

                <!-- -----------------------------------------gain finance---------------------------------------- -->
                <table [ngStyle]="{
                display: index_to_create_template[0] == null ? 'none' : ''
              }">
                  <tr style="display: none;">
                    <th style="width: 20%; background-color: #e0e0e0;">topic</th>
                    <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                      {{ header }}
                    </th>
                    <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                    <!-- <th>&nbsp;test</th> -->
                  </tr>
                  <tr>
                    <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                      ข้อมูลทางการเงิน
                    </th>
                    <!-- <th>
                  <button
                    class="btn btn-primary add-data-gain"
                    (click)="add_gain_credit(2)"
                  >
                    <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                  </button>
                </th> -->
                  </tr>

                  <tr *ngFor="
                  let row of stepThree_3.consider.finan;
                  let index = index
                ">
                    <td style="width:300px">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.topic"
                    (change)="consider()"
                    placeholder="กรุณาระบุหัวข้อ"
                  /> -->
                      {{row.topic}}
                    </td>
                    <td *ngFor="let header of index_to_create_template" style="text-align:center;width:300px">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.detail[header]"
                    (change)="consider()"
                    placeholder="กรุณาระบุข้อมูล{{ row.topic }}"
                  /> -->
                      {{row.detail[header]}}
                    </td>
                    <!-- <td style="text-align: center; width: 8%;">
                  <a
                    class="delete-text-SME-M"
                    (click)="delete_gain(2, row, index)"
                    >ลบข้อมูล</a
                  >
                </td> -->
                  </tr>
                </table>

                <!-- -----------------------------------------gain statusCustomer---------------------------------------- -->
                <table [ngStyle]="{
                display: index_to_create_template[0] == null ? 'none' : ''
              }">
                  <tr style="display: none;">
                    <th style="width: 20%; background-color: #e0e0e0;">topic</th>
                    <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                      {{ header }}
                    </th>
                    <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                    <!-- <th>&nbsp;test</th> -->
                  </tr>
                  <tr>
                    <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                      ข้อมูลสถานะ/ประวัติทางการเงินของลูกค้า
                    </th>
                    <!-- <th>
                  <button
                    class="btn btn-primary add-data-gain"
                    (click)="add_gain_credit(3)"
                  >
                    <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                  </button>
                </th> -->
                  </tr>

                  <tr *ngFor="
                  let row of stepThree_3.consider.status;
                  let index = index
                ">
                    <td style="width: 300px;">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.topic"
                    (change)="consider()"
                    placeholder="กรุณาระบุหัวข้อ"
                  /> -->
                      {{row.topic}}
                    </td>
                    <td *ngFor="let header of index_to_create_template" style="text-align:center;width:300px">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.detail[header]"
                    (change)="consider()"
                    placeholder="กรุณาระบุข้อมูล{{ row.topic }}"
                  /> -->
                      {{row.detail[header]}}
                    </td>
                    <!-- <td style="text-align: center; width: 8%;">
                  <a
                    class="delete-text-SME-M"
                    (click)="delete_gain(3, row, index)"
                    >ลบข้อมูล</a
                  >
                </td> -->
                  </tr>
                </table>

                <!-- -----------------------------------------gain Other---------------------------------------- -->
                <table [ngStyle]="{
                display: index_to_create_template[0] == null ? 'none' : ''
              }">
                  <tr style="display: none;">
                    <th style="width: 20%; background-color: #e0e0e0;">topic</th>
                    <th *ngFor="let header of index_to_create_template" style="background-color: #e0e0e0;">
                      {{ header }}
                    </th>
                    <!-- <th style="width: 8%; background-color: #e0e0e0;"></th> -->
                    <!-- <th>&nbsp;test</th> -->
                  </tr>
                  <tr>
                    <th [attr.colspan]="length_header + 1" style="text-align: left !important;">
                      เกณฑ์การพิจารณาอื่นๆ
                    </th>
                    <!-- <th>
                  <button
                    class="btn btn-primary add-data-gain"
                    (click)="add_gain_credit(4)"
                  >
                    <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
                  </button>
                </th> -->
                  </tr>

                  <tr *ngFor="
                  let row of stepThree_3.consider.other;
                  let index = index
                ">
                    <td style="width: 300px;">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.topic"
                    (change)="consider()"
                    placeholder="กรุณาระบุหัวข้อ"
                  /> -->
                      {{row.topic}}
                    </td>
                    <td *ngFor="let header of index_to_create_template" style="text-align:center;width:300px">
                      <!-- <input
                    class="text-align-left form-control"
                    [(ngModel)]="row.detail[header]"
                    (change)="consider()"
                    placeholder="กรุณาระบุข้อมูล{{ row.topic }}"
                  /> -->
                      {{row.detail[header]}}
                    </td>
                    <!-- <td style="text-align: center; width: 8%;">
                  <a
                    class="delete-text-SME-M"
                    (click)="delete_gain(4, row, index)"
                    >ลบข้อมูล</a
                  >
                </td> -->
                  </tr>
                </table>
                <div style="width: 98%;" [ngStyle]="{
                display: index_to_create_template[0] == null ? 'none' : ''
              }">
                  <!-- <button
                class="btn btn-primary add-data-gain"
                (click)="add_gain_credit(4)"
              >
                <img src="assets/img/plus_icon.svg" /> เพิ่มข้อมูล
              </button> -->
                  <br />
                </div>
              </div>
              <br /><br />

              <!-- *********************************************************************************************************  -->
              <div class="col-12 typeofcollateral">
                <div class="type_check">
                  <label class="type-collateral">ประเภทหลักประกัน</label>
                  <label class="type-collateral" style="color: #999999;">(สามารถเลือกได้มากกว่า 1 ข้อมูล)</label>
                  <div class="row">
                    <div class="body-detal-checkbox-last">
                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox [(ngModel)]="stepThree_3.guaranty[0].flag"
                            (ngModelChange)="changeValue_collateral()" disabled>
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[0].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          เงินฝาก
                        </div>
                      </div>
                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox [(ngModel)]="stepThree_3.guaranty[1].flag"
                            (ngModelChange)="changeValue_collateral()" disabled>
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[1].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          ตราสารหนี้ ตราสารทุน หน่วยลงทุน
                        </div>
                      </div>
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[0].flag"
                        (ngModelChange)="changeValue_collateral()">
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[1].child[0].flag == false
                        ? '#999999'
                        : 'black'
                  }">พันธบัตร หุ้นกู้ หรือตั๋วเงิน</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[1].flag"
                        (ngModelChange)="changeValue_collateral()">
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[1].child[1].flag == false
                        ? '#999999'
                        : 'black'
                  }">หุ้นบุริมสิทธิหรือหุ้นสามัญ</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[2].flag"
                        (ngModelChange)="changeValue_collateral()">
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[1].child[2].flag == false
                        ? '#999999'
                        : '#000000'
                  }">หน่วยลงทุนทุกประเภทกองทุนรวม</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[1].child[3].flag"
                        (ngModelChange)="changeValue_collateral()">
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[1].child[3].flag == false
                        ? '#999999'
                        : '#000000'
                  }">หน่วยลงทุนประเภทกองทุนเปิด</label>

                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox disabled [(ngModel)]="stepThree_3.guaranty[2].flag"
                            (ngModelChange)="changeValue_collateral()">
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[2].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          อสังหาริมทรัพย์
                        </div>
                      </div>

                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[0].flag"
                        (ngModelChange)="changeValue_collateral()">
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[0].flag == false
                        ? '#999999'
                        : 'black'
                  }">ที่ดินว่างเปล่า</label>
                      <br />

                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[1].flag"
                        (ngModelChange)="changeValue_collateral()">
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[1].flag == false
                        ? '#999999'
                        : 'black'
                  }">ที่ดินว่างเปล่าที่มีสภาพคล่องต่ำ</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[2].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[2].flag == false
                        ? '#999999'
                        : 'black'
                  }">ที่ดินในนิคมอุตสาหกรรม</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[3].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[3].flag == false
                        ? '#999999'
                        : 'black'
                  }">ที่ดินพร้อมสิ่งปลูกสร้าง</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[4].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[4].flag == false
                        ? '#999999'
                        : 'black'
                  }">กรรมสิทธิ์อาคารชุด</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[5].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[5].flag == false
                        ? '#999999'
                        : 'black'
                  }">อู่ซ่อมเรือ</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[2].child[6].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[2].child[6].flag == false
                        ? '#999999'
                        : 'black'
                  }">อสังหาริมทรัพย์อื่นๆ</label>
                      <br />
                    </div>

                    <div class="body-detal-checkbox-last">
                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox disabled [(ngModel)]="stepThree_3.guaranty[3].flag"
                            (ngModelChange)="changeValue_collateral()" disabled>
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[3].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          สินค้า/เครื่องจักร/เรือ
                        </div>
                      </div>
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[3].child[0].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[3].child[0].flag == false
                        ? '#999999'
                        : 'black'
                  }">เครื่องจักร</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[3].child[1].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[3].child[1].flag == false
                        ? '#999999'
                        : 'black'
                  }">สต็อคสินค้าในคลังสินค้า</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[3].child[2].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[3].child[2].flag == false
                        ? '#999999'
                        : 'black'
                  }">เรือ</label>
                      <br />
                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox [(ngModel)]="stepThree_3.guaranty[4].flag"
                            (ngModelChange)="changeValue_collateral()" disabled>
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[4].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          การค้ำประกัน
                        </div>
                      </div>
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[0].flag"
                        (ngModelChange)="changeValue_collateral()" disabled></mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[4].child[0].flag == false
                        ? '#999999'
                        : 'black'
                  }">หนังสือค้ำประกัน Standby Letter of Credit</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[1].flag"
                        (ngModelChange)="changeValue_collateral()" disabled></mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[4].child[1].flag == false
                        ? '#999999'
                        : 'black'
                  }">การค้ำประกันโดยกระทรวงการคลัง</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[2].flag"
                        (ngModelChange)="changeValue_collateral()" disabled></mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[4].child[2].flag == false
                        ? '#999999'
                        : 'black'
                  }">การค้ำประกันโดยสถาบันการเงิน</label>
                      <br />
                      <mat-checkbox disabled class="ml-4" [(ngModel)]="stepThree_3.guaranty[4].child[3].flag"
                        (ngModelChange)="changeValue_collateral()" disabled>
                      </mat-checkbox>
                      <label [ngStyle]="{
                    color:
                      stepThree_3.guaranty[4].child[3].flag == false
                        ? '#999999'
                        : 'black'
                  }">การค้ำประกันโดยบรรษัทสินเชื่ออุตสาหกรรมขนาดย่อม</label>

                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox disabled [(ngModel)]="stepThree_3.guaranty[5].flag"
                            (ngModelChange)="changeValue_collateral()">
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[5].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          โอนสิทธิการเช่า
                        </div>
                      </div>
                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox [(ngModel)]="stepThree_3.guaranty[6].flag"
                            (ngModelChange)="changeValue_collateral()" disabled>
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[6].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          บุคคลค้ำประกัน
                        </div>
                      </div>
                      <div class="d-flex align-items-stretch checkbox-layout">
                        <div class="bd-highlight checkbox-box">
                          <mat-checkbox [(ngModel)]="stepThree_3.guaranty[7].flag"
                            (ngModelChange)="changeValue_collateral()" disabled>
                          </mat-checkbox>
                        </div>
                        <div class="bd-highlight checkbox-detail fontt" [ngStyle]="{
                      color:
                        stepThree_3.guaranty[7].flag == false
                          ? '#999999'
                          : 'black'
                    }">
                          อื่นๆ
                        </div>
                      </div>
                      <div>
                        <textarea rows="5" class="form-control mb-2" style="width: 97%;"
                          placeholder="ระบุรายละเอียดเพิ่มเติม" disabled
                          [(ngModel)]="stepThree_3.guaranty[7].otherDetail"
                          (change)="changeValue_collateral()"></textarea>
                      </div>
                    </div>
                  </div>
                </div>
              </div>


              <!-- ----------------------------------------- เกณฑ์การกำหนดวงเงินกู้-------------------------------------------------- -->
              <div class="row">
                <div class="col-12">
                  <p class="head-detal">เกณฑ์การกำหนดวงเงินกู้</p>
                </div>
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="ระบุรายละเอียดเกณฑ์การกำหนดวงเงินกู้ "
                    style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepThree_3.loan"
                    disabled></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image1.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                                <div class="unnon_image">
                                  <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <br />

              <!-- ----------------------------- เกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม -------------------------------------------------- -->
              <div class="row">
                <div class="col-12">
                  <p class="head-detal">
                    เกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม
                  </p>
                </div>
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="ระบุรายละเอียดเกณฑ์การกำหนดอัตราดอกเบี้ย และค่าธรรมเนียม "
                    style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepThree_3.interest"
                    disabled></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image2.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                                <div class="unnon_image">
                                  <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <br />

              <!-- -------------------------------------อำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม----------------------------------------------- -->
              <div class="row">
                <div class="col-12">
                  <p class="head-detal">
                    อำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม
                  </p>
                </div>
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="เพิ่มรายละเอียดอำนาจอนุมัติลดหย่อนอัตราดอกเบี้ย และค่าธรรมเนียม"
                    style="min-height:130px;background-color:#e9ecef;border:0;"
                    [(ngModel)]="stepThree_3.interestApprove" disabled></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image3.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                                <div class="unnon_image">
                                  <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- -----------------------------------เงื่อนไข และประเด็นอื่นเพิ่มเติม------------------------------------------------- -->
              <div class="row">
                <div class="col-12">
                  <p class="head-detal">เงื่อนไข และประเด็นอื่นเพิ่มเติม</p>
                </div>
                <div
                  style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="เพิ่มรายละเอียดเงื่อนไข และประเด็นอื่นเพิ่มเติม"
                    style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepThree_3.other"
                    disabled></textarea>
                  <div style="height: auto;position:relative;background-color:#e9ecef;">
                    <div class="col-12">
                      <div>
                        <div class="input_upload" style="color: #999999;min-height:130px">
                          <hr style="margin: 0px;" />
                          {{ image4.length }} ไฟล์ภาพที่แนบมา

                          <div class="image_row">
                            <div class="row image_col" style="  padding-left: 15px;
                        padding-bottom: 15px;">
                              <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                                <div class="unnon_image">
                                  <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <br />
              <!-- ===================================================download file============================================= -->
              <div>
                <label style="
          color: #999999;
          font-family: Prompt;
          font-size: 18px;
          font-weight: 500;
          letter-spacing: 0;
          line-height: 28px;
        ">ไฟล์เอกสารเพิ่มเติม</label>
                <br />
                <div class="row">
                  <div class="table_files">
                    <table mat-table [dataSource]="dataSource_file_summary" style="width: 97% !important;">
                      <!-- Position Column -->
                      <ng-container matColumnDef="fileName">
                        <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                        <td mat-cell *matCellDef="let element">
                          {{ element.fileName }}
                        </td>
                      </ng-container>

                      <!-- Name Column -->
                      <ng-container matColumnDef="fileSize">
                        <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                        <td mat-cell *matCellDef="let element">
                          {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                        </td>
                      </ng-container>

                      <!-- Name Column -->
                      <ng-container matColumnDef="download">
                        <th mat-header-cell *matHeaderCellDef></th>
                        <td mat-cell *matCellDef="let element; let index = index">
                          <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                        </td>
                      </ng-container>

                      <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                      <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                    </table>
                  </div>
                </div>
              </div>
              <!-- ===================================================================== -->
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModalhousing" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center;">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
        title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" alt="{{ modalImagedetail[i].name }}" title="{{ modalImagedetail[i].name }}"
            [ngClass]="{
              'modal-image-gallery': i !== modalmainImageIndex,
              'modal-image-gallery-select': i === modalmainImageIndex
            }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
</div>

<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="nextpage('next')">
      ถัดไป
    </button>
  </div>
</div> -->
<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ? 'none' : '' }"
  *ngIf="validate === false && userRole === 'PO'">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="nextpage('next')">
      ถัดไป
    </button>
  </div>
</div> -->

<!-- ----------------------------------------- next button validate = true-------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="(_validate_check === null || _validate_check === true)"> 
  <div [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }">
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next2" type="button" (click)="nextpage('next')">ถัดไป</button>
      </div>
    </div>
    <br><br>
  </div>
</div>


<!-- ----------------------------------------- viewNext validate = false -------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="_validate_check === false">
  <div class="row"  [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next2" type="button" (click)="viewNext()">ถัดไป</button>
    </div>
    <br><br>
  </div>
</div>